local data = UpgradesTweakData._init_pd2_values
function UpgradesTweakData:_init_pd2_values()
	data(self, tweak_data)
	self.values.player.armor_regen_timer_multiplier_passive = {
	0.85, --is good
	1,--workaround
	15,--30
	1,--workaround
	999--disabled
	}
	self.values.player.tier_armor_multiplier = {
	1.15, --is good
	1.1,
	1.85,
	}
	self.values.carry.movement_speed_multiplier = {
	1.20, --is good
	1.40,--Bagger_Carry_Weight_Reduction
	2
	}
	self.values.player.armor_multiplier = {
	1.15,
	1,
	-2
	}
	self.values.player.passive_health_multiplier = {
	1.2,
	1.2,
	1.2,
	}
	self.values.player.passive_health_regen = {
	0.01,
	0,--workaround
	0.05,
	0.1,
	0.15
	}
	self.values.player.secured_bags_speed_multiplier = {
	1.01, --is good
	1,
	1.25}
	self.values.player.stamina_regen_timer_multiplier = {
	0.90,
	1,
	.50,
	.25,
	0
	}
	self.values.player.stamina_regen_multiplier = {
	1.25,
	1,
	1.25,
	1.75,
	2
	}
	self.values.player.stamina_multiplier = {
	2,
	1,
	1.10,
	3
	}
	self.values.player.passive_armor_movement_penalty_multiplier = {
	0.75, --is good
	1,--workaround
	.70,
	.60,
	.50
	}
	self.values.player.on_zipline_dodge_chance = {
	200,
	0,
	1
	}
	

	
end
local skills = UpgradesTweakData._player_definitions
function UpgradesTweakData:_player_definitions()
	skills(self, tweak_data)
	
	self.definitions.Carry_weight_speed_buff = { --Faster movement for faster bag moving 
		category = "feature",
		name_id = "menu_carry_movement_speed_multiplier",
		upgrade = {
			category = "carry",
			upgrade = "movement_speed_multiplier",
			value = 2}}
			
			self.definitions.Carry_weight_speed_buff_2 = { --Faster movement for faster bag moving 
		category = "feature",
		name_id = "menu_carry_movement_speed_multiplier",
		upgrade = {
			category = "carry",
			upgrade = "movement_speed_multiplier",
			value = 1}}
			
	self.definitions.Bag_secured_speed_boost = { --Extra move speed as reward for securing
		category = "feature",
		name_id = "menu_player_secured_bags_speed_multiplier",
		upgrade = {
			category = "player",
			upgrade = "secured_bags_speed_multiplier",
			value = 1}}
			
	self.definitions.Extra_armor  = {  --Extra armor for when moving bags across crowed areas
		category = "feature",
		name_id = "menu_player_tier_armor_multiplier",
		upgrade = {
			category = "player",
			upgrade = "tier_armor_multiplier",
			value = 1}}
			
	self.definitions.Armor_speed_buff = {
		category = "feature",
		name_id = "menu_passive_armor_movement_penalty_multiplier",
		upgrade = {
			category = "player",
			upgrade = "passive_armor_movement_penalty_multiplier",
			value = 1}}
	
	self.definitions.Armor_regen_buff = { 
		category = "feature",
		name_id = "menu_player_armor_regen_timer_multiplier_passive",
		upgrade = {
			category = "player",
			upgrade = "armor_regen_timer_multiplier_passive",
			value = 1}}
			
	self.definitions.Extra_health = {
		category = "feature",
		name_id = "menu_passive_health_multiplier",
		upgrade = {
			category = "player",
			upgrade = "passive_health_multiplier",
			value = 1}}

	self.definitions.Health_regen = {
		category = "temporary",
		name_id = "menu_player_passive_health_regen",
		upgrade = {
			category = "player",
			upgrade = "passive_health_regen",
			value = 1}}
	
	self.definitions.Stamina_regen_buff = {
		category = "feature",
		name_id = "menu_player_stamina_regen_multiplier",
		upgrade = {
			category = "player",
			upgrade = "stamina_regen_multiplier",
			value = 3}}

	self.definitions.Stamina_regen_delay_timer = {
		category = "feature",
		name_id = "menu_player_stamina_regen_timer_multiplier",
		upgrade = {
			category = "player",
			upgrade = "stamina_regen_timer_multiplier",
			value = 1}}
	
	self.definitions.Extra_stamina = {
		category = "feature",
		name_id = "menu_player_stamina_multiplier",
		upgrade = {
			category = "player",
			upgrade = "stamina_multiplier",
			value = 3}}

	self.definitions.Secret_passive_for_the_memes = {
		category = "feature",
		name_id = "menu_player_on_zipline_dodge_chance",
		upgrade = {
			category = "player",
			upgrade = "on_zipline_dodge_chance",
			value = 1}}
	

end