local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
	data(self, tweak_data)
	
	local ps2 = {
	upgrades = {"weapon_passive_headshot_damage_multiplier"},
	cost = 300,
	icon_xy = {1, 0},
	name_id = "all_2",
	desc_id = "all_2_desc"}
local ps4 = {
	upgrades = {"passive_player_xp_multiplier",
				"player_passive_suspicion_bonus",
				"player_passive_armor_movement_penalty_multiplier"},
	cost = 600,
	icon_xy = {3, 0},
	name_id = "all_4",
	desc_id = "all_4_desc"}
local ps6 = {
	upgrades = {"armor_kit",
				"player_pick_up_ammo_multiplier"},
	cost = 1600,
	icon_xy = {5, 0},
	name_id = "all_6",
	desc_id = "all_6_desc"}
local ps8 = {
	upgrades = {"weapon_passive_damage_multiplier",
				"passive_doctor_bag_interaction_speed_multiplier"},
	cost = 3200,
	icon_xy = {7, 0},
	name_id = "all_8",
	desc_id = "all_8_desc"}
	
local pc1 = 200
local pc3 = 400
local pc5 = 1000
local pc7 = 2400
local pc9 = 4000
local pdcb = "player_passive_loot_drop_multiplier"

table.insert(self.specializations,
		{
			name_id = "Bagger_title",
			desc_id = "Bagger_desc",
			{
				upgrades = {
				"Stamina_regen_buff",
				"Stamina_regen_delay_timer",
				"Extra_stamina",
				"Secret_passive_for_the_memes",
				},
				cost = pc1,
				icon_xy = {1, 2},
				name_id = "Bagger_1",
				desc_id = "Bagger_1_desc",
			},			
			ps2,{
				upgrades = {
				"Armor_regen_buff",
				"Extra_armor",
					},
				cost = pc3,
				icon_xy = {2, 3},
				name_id = "Bagger_3",
				desc_id = "Bagger_3_desc",
			},
			ps4,{
				upgrades = {
				"Health_regen",
				"Extra_health",
				},
				cost = pc5,
				icon_xy = {4, 1},
				name_id = "Bagger_5",
				desc_id = "Bagger_5_desc",
			},
			ps6,{
			
				upgrades = {
				"Carry_weight_speed_buff",
			    "Armor_speed_buff",
				},
				cost = pc7,
				icon_xy = {1, 6},
				name_id = "Bagger_7",
				desc_id = "Bagger_7_desc",
			},
			ps8,{
			
				upgrades = {
				"Bag_secured_speed_boost",
				"Carry_weight_speed_buff_2",
				},
				cost = pc9,
				icon_xy = {7, 6},
				name_id = "Bagger_9",
				desc_id = "Bagger_9_desc",
			},

			})
			

end